Provide user feedback when running ubuntu-drivers [was:Long pause when selecting 3rd party drivers during install]

Bug #1824905 reported by FranksMCB on 2019-04-16
24
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Will Cooke
ubiquity (Ubuntu)
Status tracked in Eoan
Eoan
High
Unassigned

Bug Description

Install of Ubuntu MATE Disco 19.04

When selecting install of 3rd party drivers there is an unusually long pause before I am able to continue the install. Have a spinning circle.

This appears to be similar to Bug #1824177 however there is no nvidia

System is being installed onto VirtualBox

lsb_release -rd
Description: Ubuntu Disco Dingo (development branch)
Release: 19.04

ProblemType: Bug
DistroRelease: Ubuntu 19.04
Package: ubuntu-release-upgrader-core 1:19.04.16
ProcVersionSignature: Ubuntu 5.0.0-11.12-generic 5.0.6
Uname: Linux 5.0.0-11-generic x86_64
ApportVersion: 2.20.10-0ubuntu27
Architecture: amd64
CrashDB: ubuntu
CurrentDesktop: MATE
Date: Mon Apr 15 18:06:51 2019
InstallationDate: Installed on 2019-04-15 (0 days ago)
InstallationMedia: Ubuntu-MATE 19.04 "Disco Dingo" - Alpha amd64 (20190413.3)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_US
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: ubuntu-release-upgrader
Symptom: ubuntu-release-upgrader
UpgradeStatus: No upgrade log present (probably fresh install)

FranksMCB (franksmcb) wrote :
FranksMCB (franksmcb) wrote :

This is an installer issue, not a ubuntu-release-upgrader issue. However I could not get Launchpad to accept this bug any otherway.

This was during the installation.

Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Invalid
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubiquity (Ubuntu):
status: New → Confirmed
Martin Wimpress (flexiondotorg) wrote :

I am experiencing this issue with dailies images for Ubuntu, Kubuntu, Xubuntu, Ubuntu MATE and Ubuntu Budgie when installing on a laptop with integrated discrete nvidia graphics.

After selecting "Install third-party software for graphics and WiFi hardware" there is a long delay after clicking Continue before the install process continues.

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1824905

tags: added: iso-testing
Łukasz Zemczak (sil2100) wrote :

Would it be possible to get the installer logs (syslog, journal, ubiquity logging etc.) for when such a situation is happening? Is it only reproducible with selected hardware?

Jean-Baptiste Lallement (jibel) wrote :

This is because ubuntu-drivers refreshes it's cache to check for drivers to install and install drivers on the system is there are any available.
The UI should indeed provide some feedback when it's doing this.

Changed in ubiquity (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Triaged
summary: - Long pause when selecting 3rd party drivers during install
+ Provide user feedback when running ubuntu-drivers [was:Long pause when
+ selecting 3rd party drivers during install]
Will Cooke (willcooke) on 2019-04-16
Changed in ubuntu-release-notes:
assignee: nobody → Will Cooke (willcooke)
status: New → In Progress
status: In Progress → Fix Released
Brian Murray (brian-murray) wrote :

@FranksMCB - "This is an installer issue, not a ubuntu-release-upgrader issue. However I could not get Launchpad to accept this bug any otherway."

Could you elaborate about how you went about reporting the bug from the system? Exactly what command did you use?

tags: added: rls-ee-incoming

After install.  Alt-F2 and ran ubuntu-bug.  That brought up the Apport
screen with the options to select different problems to report.  Checked
Other problem and Got "You need to specify a package or a PID. See
--help for more information."

So I went to Launchpad and created a bug report.  I have replicated this
just now and created a bug #1825028

Last evening Launchpad.net would just go to an error message when trying
to create this bug with the exact same information I just put in for the
bug listed above.

On 4/16/19 11:22 AM, Brian Murray wrote:
> @FranksMCB - "This is an installer issue, not a ubuntu-release-upgrader
> issue. However I could not get Launchpad to accept this bug any
> otherway."
>
> Could you elaborate about how you went about reporting the bug from the
> system? Exactly what command did you use?
>
> ** Tags added: rls-ee-incoming
>

Pierre Equoy (pieq) wrote :
Download full text (3.9 KiB)

Hitting the same issue with Dell Precision device and the latest 19.04 RC image (0416).

Abstract from the syslog (attached):

Apr 17 10:14:44 ubuntu ubiquity: Reading package lists...
Apr 17 10:14:44 ubuntu ubiquity:
Apr 17 10:14:44 ubuntu ubiquity: Building dependency tree...
Apr 17 10:14:44 ubuntu ubiquity:
Apr 17 10:14:44 ubuntu ubiquity: Reading state information...
Apr 17 10:14:44 ubuntu ubiquity:
Apr 17 10:14:44 ubuntu ubiquity: The following additional packages will be installed:
Apr 17 10:14:44 ubuntu ubiquity: dkms libnvidia-cfg1-418 libnvidia-common-418 libnvidia-compute-418
Apr 17 10:14:44 ubuntu ubiquity: libnvidia-decode-418 libnvidia-encode-418 libnvidia-fbc1-418
Apr 17 10:14:44 ubuntu ubiquity: libnvidia-gl-418 libnvidia-ifr1-418 libvdpau1 libxnvctrl0 mesa-vdpau-drivers
Apr 17 10:14:44 ubuntu ubiquity: nvidia-compute-utils-418 nvidia-dkms-418 nvidia-kernel-common-418
Apr 17 10:14:44 ubuntu ubiquity: nvidia-kernel-source-418 nvidia-prime nvidia-settings nvidia-utils-418
Apr 17 10:14:44 ubuntu ubiquity: pkg-config screen-resolution-extra vdpau-driver-all
Apr 17 10:14:44 ubuntu ubiquity: xserver-xorg-video-nvidia-418
Apr 17 10:14:44 ubuntu ubiquity: Suggested packages:
Apr 17 10:14:44 ubuntu ubiquity: menu libvdpau-va-gl1 nvidia-vdpau-driver nvidia-legacy-340xx-vdpau-driver
Apr 17 10:14:44 ubuntu ubiquity: nvidia-legacy-304xx-vdpau-driver
Apr 17 10:14:44 ubuntu ubiquity: Recommended packages:
Apr 17 10:14:44 ubuntu ubiquity: libnvidia-compute-418:i386 libnvidia-decode-418:i386
Apr 17 10:14:44 ubuntu ubiquity: libnvidia-encode-418:i386 libnvidia-ifr1-418:i386 libnvidia-fbc1-418:i386
Apr 17 10:14:44 ubuntu ubiquity: libnvidia-gl-418:i386
Apr 17 10:14:44 ubuntu ubiquity: The following NEW packages will be installed:
Apr 17 10:14:44 ubuntu ubiquity: dkms libnvidia-cfg1-418 libnvidia-common-418 libnvidia-compute-418
Apr 17 10:14:44 ubuntu ubiquity: libnvidia-decode-418 libnvidia-encode-418 libnvidia-fbc1-418
Apr 17 10:14:44 ubuntu ubiquity: libnvidia-gl-418 libnvidia-ifr1-418 libvdpau1 libxnvctrl0 mesa-vdpau-drivers
Apr 17 10:14:44 ubuntu ubiquity: nvidia-compute-utils-418 nvidia-dkms-418 nvidia-driver-418
Apr 17 10:14:44 ubuntu ubiquity: nvidia-kernel-common-418 nvidia-kernel-source-418 nvidia-prime
Apr 17 10:14:44 ubuntu ubiquity: nvidia-settings nvidia-utils-418 pkg-config screen-resolution-extra
Apr 17 10:14:44 ubuntu ubiquity: vdpau-driver-all xserver-xorg-video-nvidia-418
Apr 17 10:14:44 ubuntu ubiquity: 0 upgraded, 24 newly installed, 0 to remove and 0 not upgraded.
Apr 17 10:14:44 ubuntu ubiquity: Need to get 69.6 MB/69.7 MB of archives.
Apr 17 10:14:44 ubuntu ubiquity: After this operation, 344 MB of additional disk space will be used.
(...)
Apr 17 10:21:02 ubuntu ubiquity: Generating a new Secure Boot signing key:
Apr 17 10:21:02 ubuntu ubiquity: Can't load /var/lib/shim-signed/mok/.rnd into RNG
Apr 17 10:21:02 ubuntu ubiquity: 140099807978624:error:2406F079:random number generator:RAND_load_file:Cannot open file:../crypto/rand/randfile.c:98:Filename=/var/lib/shim-signed/mok/.rnd
Apr 17 10:21:02 ubuntu ubiquity: Generating a RSA private key
Apr 17 10:21:02 ubuntu ubiquity: .
Apr 17 10...

Read more...

tags: added: ce-qa-concern

In last case the download from archive.ubuntu.com is very slow and represents most of the 6 minutes

Apr 17 10:20:36 ubuntu ubiquity: Fetched 69.6 MB in 5min 52s (198 kB/s)

tags: removed: rls-ee-incoming
Changed in ubiquity (Ubuntu Eoan):
importance: Medium → High
no longer affects: ubuntu-release-upgrader (Ubuntu Eoan)
no longer affects: ubuntu-release-upgrader (Ubuntu)
tags: removed: dist-upgrade
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers